ModuleConfigFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.config.ModuleConfigFactory,ModuleConfigFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ModuleConfigFactory

    java.lang.Object
      |
      +--org.apache.struts.config.ModuleConfigFactory

Direct Known Subclasses:
  DefaultModuleConfigFactory

public abstract class ModuleConfigFactory
extends java.lang.Object

A factory interface for creating `ModuleConfig`s.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Robert Leland
See Also:
  `ModuleConfig`

Field Summary
`protected static java.lang.Class` | `clazz` The Java class to be used for `ModuleConfigFactory` instances.
`protected static java.lang.String` | `factoryClass` The fully qualified class name to be used for `ModuleConfigFactory` instances.
`private static org.apache.commons.logging.Log` | `LOG` Commons Logging instance.

Constructor Summary
`ModuleConfigFactory()`

Method Summary
`static ModuleConfigFactory` | `createFactory()` Create and return a `ModuleConfigFactory` instance of the appropriate class, which can be used to create customized `ModuleConfig` instances.
`abstract ModuleConfig` | `createModuleConfig(java.lang.String prefix)` Create and return a newly instansiated `ModuleConfig`.
`static java.lang.String` | `getFactoryClass()` The fully qualified class name that is used for `ModuleConfigFactory` instances.
`static void` | `setFactoryClass(java.lang.String factoryClass)` Set the fully qualified class name that is used for `ModuleConfigFactory` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected static java.lang.Class clazz

  The Java class to be used for `ModuleConfigFactory` instances.

### LOG

    private static org.apache.commons.logging.Log LOG

  Commons Logging instance.

### factoryClass

    protected static java.lang.String factoryClass

  The fully qualified class name to be used for `ModuleConfigFactory` instances.

Constructor Detail

### ModuleConfigFactory

    public ModuleConfigFactory()

Method Detail

### createModuleConfig

    public abstract ModuleConfig createModuleConfig(java.lang.String prefix)

  Create and return a newly instansiated `ModuleConfig`. This method must be implemented by concrete subclasses.

  Parameters:
    `prefix` - Module prefix for Configuration

### getFactoryClass

    public static java.lang.String getFactoryClass()

  The fully qualified class name that is used for `ModuleConfigFactory` instances.

  Returns:
    class name that is used for `ModuleConfigFactory` instances

### setFactoryClass

    public static void setFactoryClass(java.lang.String factoryClass)

  Set the fully qualified class name that is used for `ModuleConfigFactory` instances.

  Parameters:
    `factoryClass` - name that is used for `ModuleConfigFactory` instances

### createFactory

    public static ModuleConfigFactory createFactory()

  Create and return a `ModuleConfigFactory` instance of the appropriate class, which can be used to create customized `ModuleConfig` instances. If no such factory can be created, return `null` instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation